Skip to main content

Fetch Company Details Advanced API

This document outlines the details of the Fetch Company Details Advanced API.

API Description

Objective

The Fetch Company Details Advanced API retrieves comprehensive company information by providing either the Corporate Identification Number (CIN), the Permanent Account Number (PAN), or both as inputs.

info

The Fetch Company Details Advanced API provides comprehensive company data from the Ministry of Corporate Affairs (MCA), including company profiles, director information, and financial details, making it ideal for corporate verification and due diligence.

InputOutput
CIN or PAN or bothDetails about:
  • Company master data
  • Director and signatory information
  • Charges and liabilities
  • Related party transactions
The complete list of output fields is available in the Success Response Details section
did you know
The Corporate Identification Number (CIN) is a unique 21-character alphanumeric code that contains information about a company's registration details, including state, year of incorporation, and registration number.

API URL

The URL for the Fetch Company Details Advanced API is:

https://ind-engine.thomas.hyperverge.co/v1/fetchCompanyDetailsAdvanced

API Endpoint

The endpoint for the Fetch Company Details Advanced API is:

fetchCompanyDetailsAdvanced

Overview

The Fetch Company Details Advanced API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should send all data in JSON format through a POST request.

Authentication

You need a unique pair of application ID ( appId ) and application key (appKey) from HyperVerge to verify your identity for accessing the Fetch Company Details Advanced API.

API Request Details

Method - POST

Headers

HeaderMandatory / OptionalDescriptionInput Format
content-type MandatoryThis parameter defines the media type for the request payload.application/json
appIdMandatoryThe application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab.Not Applicable - this is a unique value
appKeyMandatoryThe application key shared by HyperVerge. You can find the details in the dashboard's credentials tab.Not Applicable - this is a unique value
transactionIdMandatoryA unique identifier for tracking a user journeyNot Applicable - this should be both unique and easily associated with the user's journey in your application(s)

Input

The following table provides the details of the parameters required for the Fetch Company Details Advanced API's request body:

ParameterMandatory / OptionalTypeDescriptionInput FormatDefault Value
cinSelectively OptionalstringThe 21-character Corporate Identification Number. At least one of CIN or PAN must be provided.Valid 21-character CINNot Applicable
panSelectively OptionalstringThe 10-character company PAN number. At least one of CIN or PAN must be provided.Valid 10-character company PANNot Applicable

Request

The following code snippet demonstrates a standard curl request for the Fetch Company Details Advanced API:

curl --location --request POST 'https://ind-engine.thomas.hyperverge.co/v1/fetchCompanyDetailsAdvanced' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"cin": "<Enter_the_valid_CIN>",
"pan": "<Enter_the_valid_PAN>"
}'

Success Response

The following code snippet demonstrates a success response from the Fetch Company Details Advanced API:

{
"status": "success",
"statusCode": 200,
"result": {
"CompanyMasterSummary": {
"LastUpdatedDateTime": "24-09-2024",
"CompanyCin": "<cin>",
"CompanyName": "<company_name>",
"CompanyDateOfInc": "<date_of_incorporation>",
"CompanyRocCity": "<roc_city>",
"CompanyRegNumber": "<registration_number>",
"CompanyCategory": "<company_category>",
"CompanySubCategory": "<company_subcategory>",
"CompanyClass": "<company_class>",
"CompanyAuthCapital": "<authorised_capital>",
"CompanyPaidUpCapital": "<paid_up_capital>",
"CompanyFullAddress": "<full_address>",
"CompanyRegState": "<state>",
"CompanyRegCity": "<city>",
"CompanyRegPinCode": "<pincode>",
"CompanyBookAddress": "null",
"CompanyMcaStatus": "<mca_status>",
"CompanyLastAgmDate": "<last_agm_date>",
"CompanyLastBsDate": "<last_bs_date>",
"CompanyEmail": "<email>",
"CompanyWebSite": "<website>",
"CompanyMcaIndustry": "<industry>",
"CompanyMcaIndustryDivision": "<industry_division>",
"CompanyMcaIndustryGroup": "<industry_group>",
"StatusUnderCIRP": "null"
},
"DirectorSignatoryMasterBasic": {
"LastUpdatedDateTime": "<DD-MM-YYYY>",
"DirectorCurrentMasterBasic": {
"Director": [
{
"DirectorName": "<name>",
"DirectorDin": "<din>",
"DirectorDesignation": "<designation>",
"DirectorDateOfAppnt": "<appointment_date>",
"Directorship": null
},
{
"DirectorName": "<name>",
"DirectorDin": "<din>",
"DirectorDesignation": "<designation>",
"DirectorDateOfAppnt": "<appointment_date>",
"Directorship": null
},
{
"DirectorName": "<name>",
"DirectorDin": "<din>",
"DirectorDesignation": "<designation>",
"DirectorDateOfAppnt": "<appointment_date>",
"Directorship": null
}
]
},
"DirectorPastMasterBasic": {
"Director": [
{
"DirectorName": "<name>",
"DirectorDin": "<din>",
"DirectorDesignation": "<designation>",
"DirectorDateOfAppnt": "<appointment_date>",
"Directorship": null
},
{
"DirectorName": "<name>",
"DirectorDin": "<din>",
"DirectorDesignation": "<designation>",
"DirectorDateOfAppnt": "<appointment_date>",
"Directorship": null
},
{
"DirectorName": "<name>",
"DirectorDin": "<din>",
"DirectorDesignation": "<designation>",
"DirectorDateOfAppnt": "<appointment_date>",
"Directorship": null
}
]
},
"SignatoryCurrentMasterBasic": null,
"SignatoryPastMasterBasic": {
"Signatory": [
{
"SignatoryName": "<name>",
"SignatoryPan": "<pan>",
"SignatoryDesignation": "<designation>",
"SignatoryDateOfAppnt": "<appointment_date>"
},
{
"SignatoryName": "<name>",
"SignatoryPan": "<pan>",
"SignatoryDesignation": "<designation>",
"SignatoryDateOfAppnt": "<appointment_date>"
},
{
"SignatoryName": "<name>",
"SignatoryPan": "<pan>",
"SignatoryDesignation": "<designation>",
"SignatoryDateOfAppnt": "<appointment_date>"
}
]
},
"PotentialRelatedPartyMasterBasic": {
"RelatedParty": [
{
"CompanyCin": "<cin>",
"CompanyName": "<company_name>",
"CompanyDateOfInc": "<date_of_incorporation>",
"CompanyMcaStatus": "<mca_status>",
"CompanyMcaIndustry": "<industry>",
"CompanyPaidUpCapital": "<paid_up_capital>"
},
{
"CompanyCin": "<cin>",
"CompanyName": "<company_name>",
"CompanyDateOfInc": "<date_of_incorporation>",
"CompanyMcaStatus": "<mca_status>",
"CompanyMcaIndustry": "<industry>",
"CompanyPaidUpCapital": "<paid_up_capital>"
},
{
"CompanyCin": "<cin>",
"CompanyName": "<company_name>",
"CompanyDateOfInc": "<date_of_incorporation>",
"CompanyMcaStatus": "<mca_status>",
"CompanyMcaIndustry": "<industry>",
"CompanyPaidUpCapital": "<paid_up_capital>"
}
]
},
"DirectorAllDirectorshipMasterBasic": {
"Director": [
{
"DirectorName": "<name>",
"DirectorDin": "<din>",
"DirectorDesignation": null,
"DirectorDateOfAppnt": null,
"Directorship": [
{
"CompanyCin": "<cin>",
"CompanyName": "<company_name>",
"CompanyDateOfInc": "<date_of_incorporation>",
"CompanyMcaStatus": "<mca_status>",
"CompanyMcaIndustry": "<industry>",
"CompanyPaidUpCapital": "<paid_up_capital>"
},
{
"CompanyCin": "<cin>",
"CompanyName": "<company_name>",
"CompanyDateOfInc": "<date_of_incorporation>",
"CompanyMcaStatus": "<mca_status>",
"CompanyMcaIndustry": "<industry>",
"CompanyPaidUpCapital": "<paid_up_capital>"
},
{
"CompanyCin": "<cin>",
"CompanyName": "<company_name>",
"CompanyDateOfInc": "<date_of_incorporation>",
"CompanyMcaStatus": "<mca_status>",
"CompanyMcaIndustry": "<industry>",
"CompanyPaidUpCapital": "<paid_up_capital>"
}
]
},
{
"DirectorName": "<name>",
"DirectorDin": "<din>",
"DirectorDesignation": null,
"DirectorDateOfAppnt": null,
"Directorship": [
{
"CompanyCin": "<cin>",
"CompanyName": "<company_name>",
"CompanyDateOfInc": "<date_of_incorporation>",
"CompanyMcaStatus": "<mca_status>",
"CompanyMcaIndustry": "<industry>",
"CompanyPaidUpCapital": "<paid_up_capital>"
},
{
"CompanyCin": "<cin>",
"CompanyName": "<company_name>",
"CompanyDateOfInc": "<date_of_incorporation>",
"CompanyMcaStatus": "<mca_status>",
"CompanyMcaIndustry": "<industry>",
"CompanyPaidUpCapital": "<paid_up_capital>"
},
{
"CompanyCin": "<cin>",
"CompanyName": "<company_name>",
"CompanyDateOfInc": "<date_of_incorporation>",
"CompanyMcaStatus": "<mca_status>",
"CompanyMcaIndustry": "<industry>",
"CompanyPaidUpCapital": "<paid_up_capital>"
}
]
},
{
"DirectorName": "<name>",
"DirectorDin": "<din>",
"DirectorDesignation": null,
"DirectorDateOfAppnt": null,
"Directorship": [
{
"CompanyCin": "<cin>",
"CompanyName": "<company_name>",
"CompanyDateOfInc": "<date_of_incorporation>",
"CompanyMcaStatus": "<mca_status>",
"CompanyMcaIndustry": "<industry>",
"CompanyPaidUpCapital": "<paid_up_capital>"
},
{
"CompanyCin": "<cin>",
"CompanyName": "<company_name>",
"CompanyDateOfInc": "<date_of_incorporation>",
"CompanyMcaStatus": "<mca_status>",
"CompanyMcaIndustry": "<industry>",
"CompanyPaidUpCapital": "<paid_up_capital>"
},
{
"CompanyCin": "<cin>",
"CompanyName": "<company_name>",
"CompanyDateOfInc": "<date_of_incorporation>",
"CompanyMcaStatus": "<mca_status>",
"CompanyMcaIndustry": "<industry>",
"CompanyPaidUpCapital": "<paid_up_capital>"
}
]
}
]
}
}
}
}

Success Response Details

The following table outlines the details of the success response from the Fetch Company Details Advanced API:

ParameterTypeDescription
statusstringStatus of the Fetch Company Details Advanced API response
statusCodeintegerThe HTTP status code of the response
resultobjectThe main result object containing company details
result.CompanyMasterSummaryobjectComprehensive company information and master data
result.CompanyMasterSummary.LastUpdatedDateTimestringThe date and time when the company data was last updated
result.CompanyMasterSummary.CompanyCinstringThe 21-character Corporate Identification Number of the company
result.CompanyMasterSummary.CompanyNamestringThe registered name of the company
result.CompanyMasterSummary.CompanyDateOfIncstringThe date of incorporation of the company
result.CompanyMasterSummary.CompanyRocCitystringThe city where the Registrar of Companies office is located
result.CompanyMasterSummary.CompanyRegNumberstringThe registration number assigned to the company
result.CompanyMasterSummary.CompanyCategorystringThe category classification of the company
result.CompanyMasterSummary.CompanySubCategorystringThe sub-category classification of the company
result.CompanyMasterSummary.CompanyClassstringThe class classification of the company
result.CompanyMasterSummary.CompanyAuthCapitalstringThe authorized capital of the company
result.CompanyMasterSummary.CompanyPaidUpCapitalstringThe paid-up capital of the company
result.CompanyMasterSummary.CompanyFullAddressstringThe complete registered address of the company
result.CompanyMasterSummary.CompanyRegStatestringThe state where the company is registered
result.CompanyMasterSummary.CompanyRegCitystringThe city where the company is registered
result.CompanyMasterSummary.CompanyRegPinCodestringThe pin code of the company's registered address
result.CompanyMasterSummary.CompanyBookAddressstringThe book address of the company (can be null)
result.CompanyMasterSummary.CompanyMcaStatusstringThe current status of the company as per MCA records
result.CompanyMasterSummary.CompanyLastAgmDatestringThe date of the last Annual General Meeting
result.CompanyMasterSummary.CompanyLastBsDatestringThe date of the last Balance Sheet
result.CompanyMasterSummary.CompanyEmailstringThe email address of the company
result.CompanyMasterSummary.CompanyWebSitestringThe website URL of the company
result.CompanyMasterSummary.CompanyMcaIndustrystringThe industry classification as per MCA
result.CompanyMasterSummary.CompanyMcaIndustryDivisionstringThe industry division classification as per MCA
result.CompanyMasterSummary.CompanyMcaIndustryGroupstringThe industry group classification as per MCA
result.CompanyMasterSummary.StatusUnderCIRPstringThe status of the company under Corporate Insolvency Resolution Process (can be null)
result.DirectorSignatoryMasterBasicobjectInformation about directors and signatories of the company
result.DirectorSignatoryMasterBasic.LastUpdatedDateTimestringThe date and time when the director data was last updated
result.DirectorSignatoryMasterBasic.DirectorCurrentMasterBasicobjectInformation about current directors of the company
result.DirectorSignatoryMasterBasic.DirectorCurrentMasterBasic.DirectorarrayArray of current director information
result.DirectorSignatoryMasterBasic.DirectorCurrentMasterBasic.Director[].DirectorNamestringThe name of the director
result.DirectorSignatoryMasterBasic.DirectorCurrentMasterBasic.Director[].DirectorDinstringThe Director Identification Number of the director
result.DirectorSignatoryMasterBasic.DirectorCurrentMasterBasic.Director[].DirectorDesignationstringThe designation of the director in the company
result.DirectorSignatoryMasterBasic.DirectorCurrentMasterBasic.Director[].DirectorDateOfAppntstringThe date of appointment of the director
result.DirectorSignatoryMasterBasic.DirectorCurrentMasterBasic.Director[].DirectorshiparrayArray of other companies where the director holds directorship (can be null)
result.DirectorSignatoryMasterBasic.DirectorPastMasterBasicobjectInformation about past directors of the company
result.DirectorSignatoryMasterBasic.DirectorPastMasterBasic.DirectorarrayArray of past director information
result.DirectorSignatoryMasterBasic.DirectorPastMasterBasic.Director[].DirectorNamestringThe name of the past director
result.DirectorSignatoryMasterBasic.DirectorPastMasterBasic.Director[].DirectorDinstringThe Director Identification Number of the past director
result.DirectorSignatoryMasterBasic.DirectorPastMasterBasic.Director[].DirectorDesignationstringThe designation of the past director in the company
result.DirectorSignatoryMasterBasic.DirectorPastMasterBasic.Director[].DirectorDateOfAppntstringThe date of appointment of the past director
result.DirectorSignatoryMasterBasic.DirectorPastMasterBasic.Director[].DirectorshiparrayArray of other companies where the past director held directorship (can be null)
result.DirectorSignatoryMasterBasic.SignatoryCurrentMasterBasicobjectInformation about current signatories of the company (can be null)
result.DirectorSignatoryMasterBasic.SignatoryPastMasterBasicobjectInformation about past signatories of the company
result.DirectorSignatoryMasterBasic.SignatoryPastMasterBasic.SignatoryarrayArray of past signatory information
result.DirectorSignatoryMasterBasic.SignatoryPastMasterBasic.Signatory[].SignatoryNamestringThe name of the past signatory
result.DirectorSignatoryMasterBasic.SignatoryPastMasterBasic.Signatory[].SignatoryPanstringThe PAN number of the past signatory
result.DirectorSignatoryMasterBasic.SignatoryPastMasterBasic.Signatory[].SignatoryDesignationstringThe designation of the past signatory in the company
result.DirectorSignatoryMasterBasic.SignatoryPastMasterBasic.Signatory[].SignatoryDateOfAppntstringThe date of appointment of the past signatory
result.DirectorSignatoryMasterBasic.PotentialRelatedPartyMasterBasicobjectInformation about potential related party companies
result.DirectorSignatoryMasterBasic.PotentialRelatedPartyMasterBasic.RelatedPartyarrayArray of related party company information
result.DirectorSignatoryMasterBasic.PotentialRelatedPartyMasterBasic.RelatedParty[].CompanyCinstringThe CIN of the related party company
result.DirectorSignatoryMasterBasic.PotentialRelatedPartyMasterBasic.RelatedParty[].CompanyNamestringThe name of the related party company
result.DirectorSignatoryMasterBasic.PotentialRelatedPartyMasterBasic.RelatedParty[].CompanyDateOfIncstringThe date of incorporation of the related party company
result.DirectorSignatoryMasterBasic.PotentialRelatedPartyMasterBasic.RelatedParty[].CompanyMcaStatusstringThe MCA status of the related party company
result.DirectorSignatoryMasterBasic.PotentialRelatedPartyMasterBasic.RelatedParty[].CompanyMcaIndustrystringThe industry classification of the related party company
result.DirectorSignatoryMasterBasic.PotentialRelatedPartyMasterBasic.RelatedParty[].CompanyPaidUpCapitalstringThe paid-up capital of the related party company
result.DirectorSignatoryMasterBasic.DirectorAllDirectorshipMasterBasicobjectInformation about all directorships held by directors
result.DirectorSignatoryMasterBasic.DirectorAllDirectorshipMasterBasic.DirectorarrayArray of director information with all their directorships
result.DirectorSignatoryMasterBasic.DirectorAllDirectorshipMasterBasic.Director[].DirectorNamestringThe name of the director
result.DirectorSignatoryMasterBasic.DirectorAllDirectorshipMasterBasic.Director[].DirectorDinstringThe Director Identification Number of the director
result.DirectorSignatoryMasterBasic.DirectorAllDirectorshipMasterBasic.Director[].DirectorDesignationstringThe designation of the director (can be null)
result.DirectorSignatoryMasterBasic.DirectorAllDirectorshipMasterBasic.Director[].DirectorDateOfAppntstringThe date of appointment of the director (can be null)
result.DirectorSignatoryMasterBasic.DirectorAllDirectorshipMasterBasic.Director[].DirectorshiparrayArray of all companies where the director holds directorship
result.DirectorSignatoryMasterBasic.DirectorAllDirectorshipMasterBasic.Director[].Directorship[].CompanyCinstringThe CIN of the company where director holds directorship
result.DirectorSignatoryMasterBasic.DirectorAllDirectorshipMasterBasic.Director[].Directorship[].CompanyNamestringThe name of the company where director holds directorship
result.DirectorSignatoryMasterBasic.DirectorAllDirectorshipMasterBasic.Director[].Directorship[].CompanyDateOfIncstringThe date of incorporation of the company where director holds directorship
result.DirectorSignatoryMasterBasic.DirectorAllDirectorshipMasterBasic.Director[].Directorship[].CompanyMcaStatusstringThe MCA status of the company where director holds directorship
result.DirectorSignatoryMasterBasic.DirectorAllDirectorshipMasterBasic.Director[].Directorship[].CompanyMcaIndustrystringThe industry classification of the company where director holds directorship
result.DirectorSignatoryMasterBasic.DirectorAllDirectorshipMasterBasic.Director[].Directorship[].CompanyPaidUpCapitalstringThe paid-up capital of the company where director holds directorship

Error Responses

The following are some error responses from the Fetch Company Details Advanced API:

{
"status": "failure",
"statusCode": 400,
"error": "please enter input field",
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}
{
"status": "failure",
"statusCode": 400,
"error": "Please enter valid 21-character cin",
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}
{
"status": "failure",
"statusCode": 400,
"error": "Please provide a valid company pan instead of a personal pan",
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}

Error Response Details

A failure or error response contains a failure status with a relevant status code and error message.
The following table lists all error responses:

Status CodeError MessageError DescriptionError Resolution
400please enter input fieldNo input fields (CIN or PAN) were provided in the requestProvide at least one of CIN or PAN in the request body
400cin should not be emptyThe CIN field is empty when no PAN is providedProvide a valid CIN or provide PAN instead
400pan should not be emptyThe PAN field is empty when no CIN is providedProvide a valid PAN or provide CIN instead
400both cin and pan should not be emptyBoth CIN and PAN fields are empty in the requestProvide at least one of CIN or PAN in the request body
400Please enter valid 21-character cinThe provided CIN does not match the required 21-character formatEnsure CIN is exactly 21 characters and matches the required format
400Please enter valid 10-character company panThe provided PAN does not match the required 10-character company PAN formatEnsure PAN is exactly 10 characters and is a valid company PAN format
400Please provide a valid company pan instead of a personal panA personal PAN was provided instead of a company PANUse a company PAN; personal PANs are not accepted by the Fetch Company Details Advanced API
401Missing/Invalid credentialsThe request is either missing the mandatory appId and appKey combination or has invalid valuesProvide valid appId and appKey in the request headers. Check the dashboard's credentials tab
404The provided cin does not exist in our recordsThe provided CIN is not found in the MCA database recordsVerify the CIN from MCA records or try with the company PAN
404The provided pan does not exist in our recordsThe provided PAN is not found in the MCA database recordsVerify the PAN from MCA records or try with the company CIN
500Internal Server ErrorThere was an error with HyperVerge's server. Please contact the HyperVerge teamContact the HyperVerge team for resolution
Was this helpful?
Ask AIBeta
Hi! How can I help?
Ask me anything about HyperVerge products, APIs, and SDKs.
Try asking: